<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:background="@drawable/top_gray_bg" >
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/top_bar"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/pic_title"
		android:gravity="center_vertical" >
        
        <Button 
            android:id="@+id/btn_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:background="@drawable/btn_back_selector"
            android:visibility="gone" >
        </Button>
        
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBaseline="@+id/btn_back"
            android:layout_centerHorizontal="true"
            android:text="登录"
            android:textColor="@android:color/white"
            android:textSize="20sp" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_login_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/top_bar" >
        
        <LinearLayout
            style="@style/corner_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:orientation="vertical" >
            
            <!-- 发展人信息 -->
            <LinearLayout
            	android:layout_width="match_parent"
            	android:layout_height="wrap_content"
            	android:gravity="center_vertical"
            	android:orientation="horizontal" >

            	<TextView
                	android:id="@+id/tv_no"
                	style="@style/common_label"
                	android:text="发展人编码: " >
                </TextView>
            	<EditText
                	android:id="@+id/et_agent_no"
                	style="@style/common_edit"
                	android:background="@null"
                	android:inputType="number" >
                </EditText>
            	<ImageView
                	android:id="@+id/iv_tip_no"
                	style="@style/common_iv_tip" >
                </ImageView>
        	</LinearLayout>
        	
        	<View 
            	android:layout_width="match_parent"
            	android:layout_height="1dp"
            	android:layout_marginTop="10dp"
            	android:background="@color/gray" >
           	</View>
           	
        	<!-- 密码信息 -->
        	<LinearLayout
            	android:layout_width="match_parent"
            	android:layout_height="wrap_content"
            	android:layout_marginTop="10dp"
            	android:gravity="center_vertical"
            	android:orientation="horizontal" >

            	<TextView
                  	android:id="@+id/tv_pswd"
                  	style="@style/common_label"
                  	android:text="密            码: " >
                </TextView>
            	<EditText
                	android:id="@+id/et_pswd"
                	style="@style/common_edit"
                	android:background="@null"
                	android:maxLength="6"
                	android:inputType="number"
                	android:password="true" >
                </EditText>
            	<ImageView
                	android:id="@+id/iv_tip_pswd"
                	style="@style/common_iv_tip" >
                </ImageView>
        	</LinearLayout>
        	
        	<View 
            	android:layout_width="match_parent"
            	android:layout_height="1dp"
            	android:layout_marginTop="10dp"
            	android:background="@color/gray" >
           	</View>
           	
        	<!-- 校验码信息 -->
        	<LinearLayout
        	    android:layout_width="match_parent"
        	    android:layout_height="wrap_content"
        	    android:layout_marginTop="10dp"
        	    android:gravity="center_vertical"
        	    android:orientation="horizontal" >
            	
        	    <TextView
                  	android:id="@+id/tv_random"
                  	style="@style/common_label"
                  	android:text="验    证    码: " >
                </TextView>
            	<EditText
                	android:id="@+id/et_random"
                	style="@style/common_edit"
                	android:background="@null"
                	android:maxLength="6"
                	android:inputType="number" >
                </EditText>
            	<ImageView
                	android:id="@+id/iv_tip_random"
                	style="@style/common_iv_tip" >
                </ImageView>
                <Button 
                    android:id="@+id/btn_get_random"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="3dp"
                    android:background="@drawable/btn_common_selector2"
                    android:text="获取验证码"
                    android:textSize="14sp"
                    android:textColor="@color/white" >
                </Button>
            </LinearLayout>
            
        	<!-- 提示 -->
        	<LinearLayout
        	    android:id="@+id/linear_random_tips"
        	    android:layout_width="match_parent"
        	    android:layout_height="wrap_content"
        	    android:layout_marginTop="10dp"
        	    android:orientation="horizontal" >
                
        	    <TextView
        	        android:layout_width="wrap_content"
        	        android:layout_height="wrap_content"
        	        android:text="@string/getrandom_info"
        	        android:textSize="16sp" >
        	    </TextView>
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>
    
    <RelativeLayout
        android:id="@+id/layout_login"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginTop="20dp"
        android:layout_below="@id/layout_login_info" >
        
        <Button 
            android:id="@+id/btn_login"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/btn_common_selector"
            android:text="登录"
            android:textSize="20sp"
            android:textColor="@color/white" >
        </Button>
    </RelativeLayout>
    
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginTop="10dp"
        android:layout_below="@id/layout_login" >
        
        <Button 
            android:id="@+id/btn_forget_pswd"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true" >
        </Button>
        
		<Button 
            android:id="@+id/btn_first"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true" >
        </Button>
    </RelativeLayout>
</RelativeLayout>